//Ex4_6.cpp
#include "iostream" 
#include "iomanip" 
using namespace std;
#define N 4
void main() 
{int a[N][N],i,j,k=2; 
 for (i=0;i<N;i++) 
   for(j=0;j<N;j++) 
	  if (j<=i) a[i][j]=1;
      else a[i][j]=k++;
 for (i=0;i<N;i++) 
	{for(j=0;j<N;j++) 
 	   cout<<setw(4)<<a[i][j];
       cout<<endl;}   
}
